## org.eclipse.datatools.connectivity.oda.design
Interface DataAccessDesign

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DataAccessDesign

extends org.eclipse.emf.ecore.EObject

The design of how to access a data set. Its model is a design tree that starts with a top-level dataSetDesign, which contains its corresponding dataSourceDesign. The top-level data set may contain nested data set designs.

The following features are supported:

- `Data Set Design`

See Also:
  `DesignPackage.getDataAccessDesign()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataSetDesign` `getDataSetDesign()` Returns the value of the 'Data Set Design' containment reference.
`DataSourceDesign` `getDataSourceDesign()` Returns the value of the Data Source Design associated with the Data Set.
`java.lang.String` `getOdaExtensionDataSourceId()` Returns the ODA data source element ID that supports this data set's access.
`void` `setDataSetDesign(DataSetDesign value)` Sets the value of the '`Data Set Design`' containment reference.
`void` `setNewDataSetDesign(DataSourceDesign dataSourceDesign)` Sets the value of the '`Data Set Design`' containment reference with a new data set design associated with given data source design.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getOdaExtensionDataSourceId

    java.lang.String getOdaExtensionDataSourceId()

  Returns the ODA data source element ID that supports this data set's access. Could be null, if no data set design is defined.

  See Also:
    `getDataSourceDesign()`

### getDataSetDesign

    DataSetDesign getDataSetDesign()

  Returns the value of the 'Data Set Design' containment reference.

  Returns:
    the value of the 'Data Set Design' containment reference.
  See Also:
    `setDataSetDesign(DataSetDesign)`, `DesignPackage.getDataAccessDesign_DataSetDesign()`

### setDataSetDesign

    void setDataSetDesign(DataSetDesign value)

  Sets the value of the '`Data Set Design`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Set Design' containment reference.
  See Also:
    `getDataSetDesign()`

### setNewDataSetDesign

    void setNewDataSetDesign(DataSourceDesign dataSourceDesign)

  Sets the value of the '`Data Set Design`' containment reference with a new data set design associated with given data source design.

  Parameters:
    `dataSourceDesign` -
  See Also:
    `#setDataSetDesign()`

### getDataSourceDesign

    DataSourceDesign getDataSourceDesign()

  Returns the value of the Data Source Design associated with the Data Set.

  Returns:
    the value of the 'Data Source Design' containment reference.
  See Also:
    `#setNewDataSetDesign()`